{
  "custom": {
    "show_alarms": false
  },
  "params": {
    "customView": "",
    "plcTagPath": ""
  },
  "propConfig": {
    "custom.show_alarms": {
      "persistent": true
    },
    "params.customView": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.plcTagPath": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 1080,
      "width": 1920
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "EmbeddedView"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "props.path": {
            "binding": {
              "config": {
                "expression": "\"Custom-Views/\"+ {view.params.customView}"
              },
              "type": "expr"
            }
          }
        },
        "type": "ia.display.view"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}